patch
https://staging-api.365finance.co.uk/applications//cancelapplication
Cancels an active application on behalf of a merchant. The application must belong to the authenticated partner. Sets the application status to 'Closed - Declined by merchant' with status detail 'Partner Declined'.
Guard conditions: Returns 409 Conflict if the application status is already one of the following terminal statuses:
WonDeclined - RiskClosed - Does not qualifyClosed - Declined by merchantSpam
400Bad request - brokerId query parameter is missing
401Unauthorized - Missing or invalid API key
403Forbidden - Invalid or deactivated API key
404Application not found for this partner
500Internal server error
